Contents

PRO Menu web page

The Productivity Toolbox
for AutoCAD LT 2002

What is PRO Menu?
Installing PRO Menu
Getting Started
New Toolbars
New Button Icons
Popup Toolbox
Toolbar Swapping
Mouse Buttons
Enhanced Osnap Menu
Expanded Shortcut Menus
Pull-Down Menus
Keyboard Macros
Troubleshooting and Support
Ordering PRO Menu


What is PRO Menu?

PRO Menu is a unique addition to AutoCAD LT, giving it a significant boost in productivity. Working efficiently means having the right tool for every job, and PRO Menu puts in the essential tools that Autodesk left out.

PRO Menu uses today's bigger screens to add a few pull-down menus, so all its commands are clearly and logically organized. The expanded layout has more command options and settings right in the menus, saving guesswork and keystrokes. PRO Menu also adds many functions to the shortcut menus. Other features include toolbars to transparently restore saved views or layer states in one click, and layer control by picking objects on the screen. PRO Menu will even add information to the status line.

Even if your current menu is highly customized, PRO Menu adds many time-saving tools you don't have now and won't find anywhere else. You can easily load your existing custom menus and use them along with PRO Menu.

PRO Key

A companion product from MultiCIM Technologies is a keyboard macro utility named PRO Key. This powerful utility makes it easy to program any key combination with your own custom macros and commands. PRO Menu and PRO Key work well together and will enhance anyone's productivity with AutoCAD. To find out more, click the link to the PRO Key Page.

>> Next

<< Contents


Installing PRO Menu

PRO Menu is designed to be the base menu, in place of the default ACLT menu. It contains all the normal menu items, additional AutoCAD commands and settings, and the many new PRO Menu items. Any previously loaded partial menus can be reloaded with the menuload command (Tools > Customize > Menus).

By default PRO Menu will install in the user's My Documents folder, but it will work in any local folder. The setup also installs the required Visual Basic runtime files. During setup, you are asked pick an existing profile name. AutoCAD LT keeps its current settings in a profile named "Unnamed Profile" in the registry. If you have used the LT Profiles Manager there may also be other named profiles. The PRO Menu setup copies the selected profile to a new one named "Promenu", and changes the base menu to PRO Menu (or loads it as a partial menu if selected). See below about the LT Profiles Manager and restoring the previous base menu.

The trial version of PRO Menu has all the pull-down menus and toolbars of the full version, but some features are not functional. Items not available are marked * and a message appears on the command line. The Help file is from the full version, and describes all of the many features.

Using PRO Menu as a Partial Menu
The PRO Menu setup has the option of installing PRO Menu as a partial menu. When PRO Menu is used this way, several features are not available, in particular the following:
  • Expanded shortcut menus
  • Programmed mouse buttons
  • Mouse button access to enhanced osnap menu (Use Ctrl+F)
  • Accelerator keys duplicated in the base menu file
You will need to select which PRO Menu pull-down menus to display via the Customize Menu dialog. To show a PRO Menu toolbar, pick View > Toolbars then the Promenu menu group in the dialog.

Restoring the Previous Base Menu
To switch between PRO Menu and the previous base menu, we recommend using the LT Profiles Manager, available for free on the PRO Menu Download Page. In the list of profiles pick either "Unnamed Profile" or "Promenu", then the Set Current button. Pick Run! to start AutoCAD LT with the desired profile.

To manually restore the default ACLT menu, pick Tools > Customize > Menus. Browse for the file ACLT.MNC or MNS in: C:\Program Files\AutoCAD LT 2002\Support. Do not pick the MNU file or customization will be lost. Check "Replace All", then pick "Load". Standard and customized toolbars in the ACLT menu file should display at their previous screen locations. If you had other partial menus loaded, you will need to reload them.

To switch back to PRO Menu, use MENULOAD (Tools > Customize > Menus) and pick the Promenu MNS or MNC file in the PRO Menu folder. Check "Replace All", then pick "Load" to load PRO Menu.

Uninstalling PRO Menu
To remove PRO Menu, first exit from AutoCAD to allow removal of the Promenu profile from the registry. Then click on "Uninstall PRO Menu" in the Start Menu. This will delete all the PRO Menu files and Promenu profile.


Getting Started

Learning What's In PRO Menu
Although all of PRO Menu's features are easy to use, there are a lot of them. The quickest way to learn the new capabilities is to open a drawing with which you are familiar. Go through the online Help, and try the pull-down menus, toolbars, mouse buttons and key assignments. The brief time spent doing this will show what each item does, as well as some new ways of working with AutoCAD. Then use the new features in your regular work, and don't just stick to your old habits. Soon you will be enjoying a whole new level of productivity.

Note: When some of PRO Menu's macros are executing, the prompt "Select object whose layer will become current" may be displayed. This is normal, and may temporarily change the current layer. When the macro is finished the original current layer will be restored.

Using a Customized Menu with PRO Menu
If you have some customized toolbars or pull-down menus in your current menu, you can use them with PRO Menu. Whether it's the ACLT menu or another, add it as a partial menu with the MENULOAD command (Tools > Customize > Menus). Pick the MNS or MNC file type, not the menu template file (MNU) or your customized toolbars will be lost. PRO Menu will load the ACLT menu directly by picking "Load ACLT Menu" in the Tools > Customize menu.

To display a toolbar, right click a blank toolbar area, pick the menu group name, then the desired toolbar from the list. To display a pull-down menu, use MENULOAD, select the menu group, then install the desired menus on the menu bar from the list.


New Toolbars

PRO Menu adds several toolbars and also uses them in new ways (see Toolbar Swapping). Some existing toolbars have been modified or expanded. For example, commands from the previous Modify and Modify 2 toolbars are on PRO Menu's Modify and Construct toolbars. The PRO Menu toolbar has the most frequently-used file, editing and display functions and some extra flyouts, compared to the Standard toolbar. The Object Snap toolbar has been slightly modified - if a button is picked at the command prompt, it sets a single running osnap mode instead of displaying the "unknown command" message.

PRO Menu has all the dropdown lists for color, linetype, viewport scale etc. as separate toolbars. This provides much more flexibility in the choice of displayed toolbars and the amount of screen area used. It also allows any toolbar to be docked at the side or used as a flyout without losing the dropdown list.

The new toolbars are:

Arc | All arc creation options
Circle | All circle creation options
Construct | Most commands in the Construct menu
Fillet | Draws fillets with saved radii, sets saved values
Layers | Existing and new layer control commands
Numeric | Enters numbers and symbols with the mouse
Popup Toolbox | Large toolbar for the "virtual tablet" feature
PRO Menu | File, editing and display commands, several flyout toolbars
Restore Layers | Transparently restores layer state 1 to 5
Select | All selection options to select or preselect objects
Special | Various, intended for user customization
Viewbar | Creates and restores prenamed saved views
Xref | New and existing xref commands

You may want to customize the PRO Menu toolbars and menus, but you should use them for a while the way they come, to see how everything works together.


New Button Icons

PRO Menu has new toolbar buttons for many of its commands. These icons are on the PRO Menu toolbar, its flyouts or relevant toolbar:

Popup Toolbox - Displays the Popup Toolbox in its previous location.
Pan in Paper Space - Switches to Paper space to realtime pan, then returns to Model space.
Zoom in Paper Space - Switches to Paper space to realtime zoom, then returns to Model space.
Dynamic View - Starts the Dview command.
Copy then Rotate - Copies selected objects using a base point, then rotates them about the same base point.
Copy to Layer - Creates a copy of selected objects on another layer at the same location.
Quick Select - Displays the Quick Select dialog, to select drawing objects using various filters.
Save View - Saves the current viewport view as View A to I.
Save Windowed View - Saves a windowed area as View A to I.
Xlines on Const Layer - Creates the CONST layer if necessary, then starts the xline command after making the layer current.
Set Fillet Radius - Sets one of the five preset fillet radii which are saved in the drawing.
Zero Radius Fillet - Creates a fillet of zero radius without changing the default radius.
Notepad - Starts the Notepad editor. It can be used to paste multiple lines of text to the command line during the text command.

These buttons are on the Layers toolbar:

Layer Off - Turns off the layer of an object picked on the screen. No warning is given if the current layer is turned off.
Thaw Layers - Thaws layers by typing their names at the command line.
Freeze Layers - Freezes the layer of an object picked on the screen (except current layer).
Unlock Layers - Unlocks layers by picking objects on the screen.
Lock Layers - Locks layers by picking objects on the screen.
Unlock All - Unlocks all layers transparently.
Isolate Picked - Turns off all layers except the one picked on the screen. Use Unisolate to restore previous layer visibility.
Isolate Current - Turns off all layers except the current one. Use Unisolate to restore previous layer visibility.
Unisolate - Restores layers to visibility when Isolate was last used.
Set Layer Color - Sets color of a layer selected by picking it on the screen.
New Current Layer - Creates a new current layer by typing the name at the command line.
Freeze in Current Viewport - Freezes the layer of picked objects in the current viewport.
Thaw in Current - Thaws layers in the current viewport by typing the names. This can also apply to Paper space itself.
Thaw All in Current Viewport - Thaws all layers in the current Paper space viewport. This can also apply to Paper space itself.
Isolate in Current Viewport - Freezes all layers except the one picked in the current viewport. Undo will restore the previous layer visibility.
All Layers On - Transparently turns on all layers.
Thaw All Layers - Thaws all layers in the drawing. If used during a command, regen will be queued.


Popup Toolbox

PRO Menu has a "virtual tablet" feature, which gives quick access to a large number of commands without filling up the screen with toolbars. The Popup Toolbox is a special toolbar containing 60 buttons from the Draw, Modify, Construct, Text and Dimension toolbars. After picking a button, the Popup Toolbox disappears from the screen. To display the Popup Toolbox, pick the "Popup Toolbox" icon or press Ctrl+Shift+Z.

You can customize the Popup Toolbox on the screen with the Toolbar Editor, or by editing the MNU or MNS file. If you drag a button onto it, be sure to edit the macro line to match the format of other Popup Toolbox icons, so the toolbar will disappear after picking a button. You could also add the "Popup Toolbox" icon to other toolbars.

Note: In the trial version of PRO Menu, the Popup Toolbox does not disappear after picking a button.


Toolbar Swapping

PRO Menu provides an alternative way to access many commands without filling up the screen with toolbars. The Quikflip toolbar or menu contains a list of frequently-used toolbars. When a toolbar name is picked, the previously-picked toolbar is removed and replaced by the new one. It can keep the screen clear of multiple toolbars, yet give quick access to a large number of commands. If each of the 11 toolbars on the cursor menu has 20 buttons, it can access 220 commands with two mouse clicks, using only one toolbar position the screen.

Using Toolbar Swapping
For maximum flexibility, PRO Menu provides two ways to display the toolbar swap list: toolbar and cursor menu. When first used PRO Menu displays the toolbar by default; to show the cursor menu press Ctrl+4. The Quikflip menu lists 11 toolbars, while the toolbar has buttons to swap 7 toolbars.

Quikflip menu and toolbar

Setting the Toolbar Screen Position
Toolbar swapping works best if you position each toolbar docked or undocked at the same point on the screen, such as the upper right corner of the drawing area. Pick each toolbar name to display it, then position the toolbar at the desired place. After setting the location of the toolbars, do not change the base menu file with MENULOAD until after exiting and restarting AutoCAD. This will save the PRO Menu toolbar positions and they will always appear at the same place. Remember that when a toolbar is displayed by picking it from the swap list, it will disappear when you pick another one. To keep a toolbar always visible, select it from a pull-down menu or the toolbar dialog.

All the listed toolbars can be customized in the normal way. The list of toolbar names can be changed by editing the MNS or MNU file. Follow the existing format for each toolbar name, and if you include the menugroup it can swap toolbars from other loaded menu files.


Mouse Buttons

Efficient use of programmed mouse buttons can be a big productivity booster with AutoCAD. Users generally get the best productivity with MBUTTONPAN = 1, using the middle wheel/button to pan and zoom and shift+right button for the Osnap menu. PRO Menu also provides Ctrl+F to show the Osnap menu.

PRO Menu adds these functions to the mouse buttons. They can be changed or added by editing the MNU or MNS menu files with a text editor. The MNU files have labels [Right Button], [Shift+Middle Button] etc. to indicate the line for each programmable button (AUX section for the Windows system mouse). See the AutoCAD Customization Guide for full details on modifying menus.

Button Assignments

Ctrl + Right - Toggle ortho mode *
Shift + Ctrl + Right - Toggle properties palette (transparent when floating)

* There is a bug in AutoCAD which causes the right click menu to display when pressing Ctrl + right button. A possible workaround is to remove the button item from the menu and use your specific mouse driver to assign F8 or other function to Ctrl + right button.


Enhanced Osnap Menu

PRO Menu adds check marks to the osnap menu to show current running osnap modes. The check marks don't display when osnap is turned off. If an osnap is picked at the command prompt it sets running osnap to that single mode, to provide a quick way to set a single runnning osnap. This feature applies to both the menu and Osnap toolbar. End + Intersection transparently sets running osnap to only those two modes. PRO Menu adds two new submenus to the Osnap menu: Select Objects and Toggle Osnaps.

Select Objects
Contains all options for selecting objects during commands. You can also pick a menu item at the command prompt and then select objects using the option. The objects selected will become the "previous" selection set for use in a subsequent command.
Selection Toolbar - Displays the Select Objects toolbar. The toolbar functions like the menu, allowing preselection of objects or selection options during a command.

Toggle Osnaps
On/Off - Toggles all running osnap modes on/off transparently (F3 key).
The Set Osnaps submenu transparently toggles the picked osnap mode on/off, both at the command prompt and during a command. The check marks show current settings whether osnaps are on or off.

Another way to display the osnap menu is by pressing Ctrl+F. This will provide access to it if PRO Menu is loaded as a partial menu.


Expanded Shortcut Menus

PRO Menu makes some useful improvements to the shortcut menus:

Command Mode Menu
Two new submenus have been added to the Command Mode menu - Select Objects and Snap Overrides. Like the Osnap menu, check marks on the Snap Overrides menu show currently active snap modes. The Select Objects submenu lets you pick object selection options during a command. To take full advantage of these menus, the Command Mode menu should be set to "always enabled" (Options - User Preferences - Right-Click Customization). This will make all selection options and snap overrides available via the right mouse button, instead of pressing Shift + right mouse button for the Osnap menu.

Expanded Command Menu

Grip Edit Menu
The Snap Overrides submenu has been added to the Grip Edit menu. Also added is "Clear Grips" to cancel editing and clear all grips, which can be selected with the spacebar. When shortcut menus are turned off the menu will not appear, allowing the right mouse button to act as Enter during grip editing.

Edit Mode Menus
In the Edit Mode menus (which display after selecting objects) "Deselect All" and "Properties" have been repositioned closer to the top. The number of different Edit Mode menus has been greatly increased, from eight in the standard menu to 28 in PRO Menu. This permits much more editing to be done by selecting single or multiple objects, then picking an appropriate option in the menu. PRO Menu has edit mode menus for nearly all single objects, and many useful menus for multiple object selections. Slightly different menus appear for single or multiple dimensions, with options appropriate for each case. The submenu below displays when a single lwpolyline is selected.

PRO Menu's edit mode menus will join multiple lines and arcs into polylines and set their width with a single menu pick. After selecting multiple lines, pick: Join Into Polylines > Set Width in the shortcut menu. Enter the width, and connected lines will be joined into polylines. After selecting a single line or polyline, the "Join More" option allows joining more lines, arcs and polylines to it. The join options use the current pedit settings for join type and fuzz distance. To edit both polylines and lwpolylines together, use the "Arcs, Lines, Polylines" item on the Modify menu. The complete macro can be repeated on additional objects by picking the top item in the shortcut menu.


Pull-Down Menus

A major benefit of PRO Menu comes from its expansion of the pull-down menus. They are based on the standard ACLT.MNU file, but some menus are added which correspond better to actual command usage and drawing operations. The logical layout makes all the new PRO Menu commands and features easy to find after a brief familiarization.

PRO Menu adds three new pull-down menus:
  • Construct
  • Layers
  • Text
To avoid making the Modify menu excessively long, the new Construct menu contains all commands which copy or create objects from existing objects. A few items have been duplicated to maintain compatibility with the ACLT menus. Every menu item shows a description on the status line as you highlight it; this is a good way to learn about PRO Menu's new features.

The menus contain items which previously needed clicking a toolbar or typing a command or variable value, allowing many more operations to be done with fewer toolbars displayed. Variables are shown in the menus with the current value after a colon. Command options, such as Fillet Radius, will start the command after setting a value. Variables with on/off values have a check mark indicating the on setting.

Keyboard Access to Menus and Toolbars
Users who like to type commands can access any menu item with two or three keystrokes. To draw a linear dimension for example, type Alt+N to select the Dimension menu, then L. The underlined letter shows each menu item's keystroke. The arrow keys can be used to scroll up, down and across menus, then press Enter to select an item and Escape or Alt to cancel a displayed menu. This method can give quick access to a large number of commands with fewer keystrokes than typing a command alias and option. It also provides one-keystroke access to osnap and shortcut menu items. Alt key combinations assigned with PRO Key will take precedence over the same menu key.

Most menus and submenus have a corresponding toolbar to provide two different but consistent ways to pick commands. Menus with a corresponding toolbar put the toolbar item at the bottom and its keystroke is the spacebar. Whenever the menu is displayed, just press the spacebar to display the toolbar.

Note: Display of the menu underlines might currently be turned off in Windows 2000 or XP. If so, press and release the Alt key to make them visible. The underlines must be turned on to see them in the osnap and shortcut menus. To change this setting go to: Control Panel > Display Properties > Appearance > Effects.

A description is given here for menu items which are new in PRO Menu, or operate differently from the standard AutoCAD. Items not listed will function essentially unchanged from normal AutoCAD.

File Menu | Edit Menu
View Menu | Insert Menu
Format Menu | Tools Menu
Draw Menu | Dimension Menu
Modify Menu | Construct Menu
Layers Menu | Text Menu
Help Menu


File Menu

New File menu items are:

Save & Close - Saves the current drawing and closes it.
Write Block - Starts the wblock command with the AutoCAD LT 2002 dialog.
Export - Options to create a WMF, BMP, TIF, JPG or PNG image file.

Drawing Utilities
Convert CTB to STB - Converts a color (CTB) plot style file to a named (STB) plot style (convertctb).
Convert Drawing Plot Style - Converts the drawing plot style from color to named (convertpstyles).

Drawing Properties
Autosave Name - Shows the autosave file name for the current drawing.
Autosave Folder - Shows the autosave folder name.
Measurement - Sets the MEASUREMENT variable to Imperial or Metric
Plot Style - Shows value of PSTYLEMODE for color-dependent or named plot style
If Xreffed - Toggles value of XEDIT, to control in place editing of the drawing file.
Log File On/Off - Toggles drawing log file, shows log file name.
Index Control - Saves layer or spatial indexes in the drawing for demand loading.


Edit Menu

New items in the Edit menu are:

Undo Control

Back to Mark - Undoes back to the most recent Undo mark.

Insert Mark - Inserts an undo mark, displays current number of marks.

Begin Group - Begins an undo group of commands to be undone together.

End Group - Ends the current undo grouping of commands.


View Menu

These items are added or modified in the View menu:

Zoom
Paper Space - If currently within a layout viewport, the display switches to Paper space and starts the rtzoom command. You can use the right-button menu options, and after exiting you are returned to Model space. It provides similar functionality to locked viewports, without having to lock the viewport.

In at Point - Transparently zooms in with 8X magnification at a picked point. Also available from an icon on the Zoom toolbar.

Pan
Paper Space - Functions the same as Zoom Paper Space above, but starts the pan command.

Named Views
A ... I - Transparently restores saved views prenamed A to I.
Save View As - Saves the current viewport display as view A to I.
Save Window As - Saves a windowed area as view A to I.
Make Views A - I - Creates nine overlapping views of the drawing extents, named A to I using a script. Any view can later be manually recreated if necessary. Creating the views after moving or erasing objects from the edge of the drawing can give inaccurate results. If so, use the Zoom Extents command, then run it again. The current UCS is saved with views if UCSVIEW = 1.
Show Viewbar - Displays the Viewbar, with buttons to transparently restore views A - I, as well as to create the saved views.

Viewports
Clipped Viewport - Creates a polygonal clipped Paper space viewport.
Round Viewport - Creates a round Paper space viewport.
Shaded Viewport - Creates a rectangular Gouraud-shaded viewport, for viewing and printing of surface and solid models in smooth rendered mode. Using the hide or shademode commands in the viewport will lose the Gouraud shading. Shaded viewports will print shaded if Shade Plot is set to "As Displayed". To see a sample of shaded viewports, open the drawing "Gouraud" in the PRO Menu folder (not included in trial version).

Clipped, round and shaded viewports are put on the VPORTS layer and have a default width of 3 units. After positioning a viewport, adjust its size by scaling it or dragging its grips.

Rotated View - Rotates the current viewport view to the specified angle. Not available in Paper space.

Dynamic View - (option) - Starts the dview command with the picked option.

Shade
2D Wireframe - Sets shademode in the current viewport to normal wireframe mode.
Hidden Line - Sets shademode in the current viewport to hidden line mode.
Reflected/Ambient - Sets the ratio of reflected to ambient light for shading.


Insert Menu

New items in this menu concern xrefs and inserting image files:

Xef Manager
Reload All - Reloads all xref files
Bind All - Binds all xreffed symbols to the current drawing
Unload All - Unloads all external references
Detach All - Detaches all external references

Demand Loading - Sets XLOADCTL to disabled, enabled or enabled with copy.
Clip Frames - Toggles visibility of xref clipping frames
Retain Visibility - Toggles the VISRETAIN variable on/off.
Log File On/Off - Toggles XREFCTL on/off to keep an xref log file.
Xref Toolbar - Displays the External Reference toolbar.

Xref Bind - Shows the Xbind dialog to bind referenced objects.

Raster Images
Insert Image - Attaches up to four raster images on the IMAGE layer. Click and drag the cursor to locate and size the image frame. The Image Manager dialog will then appear, with "Not found" status for the blank1 image. Click on "blank1", then on the Browse button to select the actual image file to display. Click on Save Path to keep the new image file name with the drawing. To crop an image, insert it in Model space and show it in a Paper space viewport adjusted to show the desired area. If you erase an image, it can be reinserted by picking it again in the menu.

Insert Clipped Image - Attaches up to four raster images with a polygonal clipping boundary. Click and drag the cursor to size the clipped image frame. In the Image Manager dialog, click on "clipblank1" for the first image, then on Browse to select the image file to insert. Click on Save Path to keep the file name with the drawing.

The clipping boundary is sized for an image of 50x50 pixels, and is at the upper left corner of the image. Drag the grips on the boundary down and to the right to expose the image. Adjust the boundary as desired, and then scale the image to the final size. To replace a clipped image with another clipped one, erase the first image, then change the path and insert it again.

To detach an image, select it in the Image Manager dialog list, then press Alt+D.

Frames On/Off - Toggles the image frames on or off.
Display While Panning - Toggles RTDISPLAY, to display images during rtpan and rtzoom.
Highlight Entire Image - Toggles IMAGEHLT, to highlight the entire image or only the frame.

Insert Toolbar - Displays the Insert toolbar


Format Menu

These items are added or modified in the Format menu:

Color - Sets the current drawing color by picking from the submenu or color dialog
Control Bar - Displays the color dropdown list as a separate toolbar.

Linetype - Sets the current linetype from the submenu or popup list of loaded linetypes
Control Bar - Displays the linetype dropdown list as a separate toolbar.

Lineweight - Sets current lineweight (CELWEIGHT) by picking a value from the submenu
Control Bar - Displays the lineweight dropdown list as a separate toolbar.

Linetype Scale - Displays and sets current global and object linetype scales in the submenu
Paper Space Scaling - Toggles PSLTSCALE variable for Paper space linetype scaling

Polyline Generation - Toggles PLINEGEN for polyline vertex segment generation
Polyline Type - Sets the PLINETYPE variable to control default conversion and creation of regular or lightweight polylines.

Drawing Limits - Displays and sets upper and lower limits of the current tab.
Apply Limit Check - Toggles LIMCHECK, to control drawing objects outside limits.

System Variables - Displays a selected alphabetical range of system variables and their values in the text window. Select and paste a variable on the command line, press Enter, then enter a new value or press F1 for Help information about it.

Display Settings - Sets several variables affecting the display and display-related commands, a check mark or value in the menu shows current setting.
System Settings - Submenu to set several variables not available in the Options dialog.
3D Settings - Displays and sets most variables and settings related to working in 3D.


Tools Menu

New items in the Tools menu are:

Object Selection
Object Filters - Starts the Filter command to create and save object filter lists.
Object Selection Toolbar - Displays the Select toolbar.

Inquiry
Use Distance - Pick two points to use the distance between them as input during a command.

External Applications - Starts a script, digital signature application, Notepad, Calculator, Windows Explorer or Web Browser.

New UCS
Manage UCS - UCS options not available in the standard menu.

Snap, Grid
Snap Angle - Sets viewport snap angle transparently by picking two points or typing it.
Snap Base - Sets viewport snap base point transparently.
Isometric Snap - Transparently toggles isometric snap in the current viewport, realigns grid dots.

Customize
Status Line Info On/Off - Sets the modemacro variable using the script file "mmacro", or clears it if currently set. It displays the current text and dimension styles and group selection mode on the Status line.
Command Aliases - Opens the ACAD.PGP file in Notepad to change command aliases. After saving the changes, check PGP File in the Reinitialize dialog to reinitialize the file.
Load ACLT Menu - Loads the standard ACLT menu as a partial menu file.

Popup Toolbox - Displays PRO Menu's Popup Toolbox.


Draw Menu

Commands to create text are located in the Text menu. New or changed items are:

On Layer Const - Starts the line, ray, xline or circle command after making the layer CONST current. The layer will be created if necessary, but its settings can be changed.

Circle
Pick Radius - Pick an arc or circle to draw a circle with the same radius.
Circle Toolbar - Displays the Circle toolbar

Ellipse
Isometric Circle - Switches to isometric snap mode, draws an isometric circle.
Use Polylines - Toggles PELLIPSE, to use either splines or polylines for ellipses.

Polyline
Zero Width - Sets the default polyline width to zero, starts the pline command.
Set Width - Sets the default polyline width, starts the pline command. Current width is displayed in the menu.

Point
3D Point - Inserts a block named 3dpoint, containing three point objects at right angles to each other, on the layer "3dpoints". If the 3dpoints layer is currently off or frozen, the command will thaw or turn on the layer. If the current value of PDMODE is 0 or 1, the command sets it to 34 to make point objects visible.

Donut
Inside Dia. - Displays donut ID, starts donut after changing it.
Outside Dia. - Displays donut OD, starts donut after changing it.

Square
Edge Endpoints - Draws a square by picking edge endpoints.
Center, Corner - Draws a square by picking center and a corner point.
Center, Midpoint - Draws a square by picking center and edge midpoints.

Hatch
-Bhatch - Starts the command line -bhatch, to allow typing hatch parameters.
Direct Hatch - Draws a hatch by directly picking points.

3D Face - Inserts a 4-sided 3dface on the 3DFACE layer. When inserting, drag the second corner to set its initial size.

Draw Toolbar - Displays the Draw toolbar.


Dimension Menu

New or changed items on the dimension menu are:

Isometric
30°, 90°, 150° Obliqued - Draws an aligned dimension, then obliques it.
Oblique to 30°, 90°, 150° - Obliques selected dimensions to the picked angle.

Modify Text
Edit Text - Starts the ddedit command to edit dimension mtext.
Edit Multiple - Replaces or adds a prefix or suffix to the default text in multiple dimensions.
No Leader - Sets DIMTMOVE to 2 in selected dimensions to position text without a leader. Use dimoverride/clear to restore default format.
Home Position - Resets text position to default in multiple dimensions.

Style
Style Name - Displays current dimension style in the menu.

Repeat Update - Repeatedly updates dimensions as they are picked. Press Esc to exit.

Dim Association
Disassociate - Starts the disassociate command
Regenerate - Starts the dimregen command
Current associativity (DIMASSOC) can be set to associative, non-associative or exploded in the current drawing.

Dimension Toolbar - Displays the Dimension toolbar.


Modify Menu

To keep the Modify menu at a manageable length, commands which copy objects or create new objects from existing ones have been put in the Construct menu. New items on the Modify menu are:

Change Properties - Submenus change the color, linetype, linetype scale, lineweight and thickness of objects by picking a value from the menu or typing it. These menu items are useful for changing specific object properties without displaying the Properties window.

To Current Layer - Changes the layer of selected objects to the current layer.

Object
Convert - Starts the CONVERT command to convert all old-style polylines, hatches or both to AutoCAD 2000 format.

Polyline
Single - Pedit command
Multiple - Pedit with the multiple option.

The other submenu options will be applied directly to single or multiple polylines (except Edit Vertex). Join uses the current settings for join type and fuzz distance. To repeat the action on other polylines, pick the first item on the default shortcut menu and then another polyline.

Convert to Heavy/Light - Starts the CONVERTPOLY command, to convert selected polylines and lightweight polylines.

Erase
Repeat - Erases single objects repeatedly. Press Esc to exit.

Rotate
Two Points - Rotates objects by picking a base point and second point, then dragging the second point.
About X,Y Axis - Rotates objects on an axis parallel to the X or Y axis with visible dragging.

Extend
Pick Edges - Normal extend, prompts to pick edge objects first.
Use All Objects - Presses Enter to use all objects as edges.
Extend Edges - Toggles EDGEMODE to extend edge objects.
Projection - Sets PROJMODE, for 3D object projection.

Trim
Pick Edges - Normal trim, prompts to pick edge objects first.
Use All Objects - Presses Enter to use all objects as edges.
Extend Edges - Toggles EDGEMODE to extend edge objects.
Projection - Sets PROJMODE, for 3D object projection.

Scale
Two Points - Scales objects by picking a base point and second point, then dragging the second point.

Break
Repeat at Point - Breaks objects repeatedly at picked points. Press Escape to exit.

Extended Explode - Starts the undocumented Xplode command, which controls properties of resulting objects.

Modify Toolbar - Displays the Modify toolbar.


Construct Menu

This new menu contains all commands which copy objects or create new objects based on existing ones. Most commands of this type have been moved from the Modify menu. New menu items are:

Multiple Copies - Creates multiple copies of selected objects (copy - multiple).

Copy then Rotate - Copies selected objects, then rotates them after placing the copy.

Copy to Layer - Creates copies of selected objects on another layer. Select objects to copy, press Enter, then pick an object on the destination layer. New objects will become the "Previous" selection set.

Block
Write Block - Starts the wblock command with the AutoCAD LT 2002 dialog.
-Block - Starts the -block command to enter block data on the command line.
List Blocks - Lists current block names in the text window.
Create Previews - Starts the blockicon command to add block previews to the current drawing

Chamfer
Polyline - Starts chamfer with the polyline option.
Distances - Changes chamfer distances, starts chamfer.
Length, Angle - Changes length and angle, starts chamfer.
Trim Mode On/Off - Toggles TRIMMODE, starts chamfer.
Method - Toggles distance/angle method, starts chamfer.
Multiple - Starts chamfer with the multiple option.
Zero Distance - Sets distances to zero, starts chamfer.

Fillet
Polyline - Starts fillet with the polyline option.
Radius - Changes fillet radius, starts the fillet command.
Trim Mode On/Off - Toggles TRIMMODE, starts fillet.
Pick Radius - Pick an arc or circle to create a fillet of the same radius.
Multiple - Starts fillet with the multiple option.
Zero Radius Fillet - Creates a zero radius fillet without changing the default radius.

Saved Radius
Starts fillet with one of five saved radii. Current radius values are saved in the drawing in the USERR1 to USERR5 variables and are displayed in the menu.
Set Radius - Sets a new value for each saved radius.
Fillet Toolbar - Displays the Fillet toolbar, to draw fillets from saved radii and set saved radius values.

Construct Toolbar - Displays the Construct toolbar.


Layers Menu

This new menu has all commands for controlling layers, and displays the current layer name at the top. Most items change layer settings by picking objects on the screen, but a few require typing names on the command line. When typing layer names, multiple layers can be specified with wild cards (*,~ etc.) or separated by commas. To repeat the complete menu macro, pick the first item in the shortcut menu.

Off - Turns off the layer of an object picked on the screen.
On - Turns on layers by typing names at the command line.
Freeze - Freezes the layer of an object picked on the screen. If current layer is off, it will turn on.
Thaw - Thaws layers by typing names at the command line.
Lock - Locks the layer of an object picked on the screen.
Unlock - Unlocks the layer of an object picked on the screen.
Color - Sets the layer color of a picked object.
Lineweight - Sets layer lineweight of a picked object

Isolate Picked - Turns off all layers except the one picked on the screen. Use Unisolate to restore visibility.
Isolate Current - Transparently turns off all layers except the current layer. Use Unisolate to restore.
Unisolate - Restores layers to when Isolate Picked or Isolate Current was last used. (Restores a saved state named "unisolate".)

Restore State 1...5
Transparently restores a saved layer state named 1 to 5. If the state does not exist, the words "Unknown layer state name" display on the command line. If used during a command to thaw layers, they will not appear until the display is regenerated.
Save State 1...5
Saves a layer state named 1 to 5, using the current state settings. If the state already exists it will be overwritten.

The Viewport submenus set layers in Paper space viewports, and make all options of the vplayer command available from the menus. Current viewport will also apply to Paper space when picking the item from Paper space.

Current Viewport
Freeze - Freezes in the current viewport the layer of a picked object.
Thaw - Thaws layers entered by name.
Thaw All - Thaws all layers in the current viewport.
Isolate - Freezes all but the picked layer. Use Thaw or Thaw All to restore layer visibility.

Selected Viewports
Freeze - Type layer names to freeze, then pick viewport borders.
Thaw - Type layer names to thaw, then pick viewport borders.
Thaw All - Pick viewport borders in which to thaw all layers.
Reset - Resets layers to their default visibility.
List Frozen - Pick a viewport border to list its frozen layers.

All Viewports
Freeze - Type layer names to freeze in all viewports.
Thaw - Type layer names to thaw in all viewports.
Thaw All - Thaws all layers in all viewports.
Reset - Resets layers to their default visibility.
New Frozen - Enter names for new layers frozen in new viewports.
Set Default - Sets default visibility of layers.

All Layers
On - Transparently turns on all layers in the drawing.
Thaw - Thaws all layers in the drawing transparently, display may need regenerating.
Unlock - Unlocks all layers in the drawing transparently.
List - Transparently lists all layers and their settings on the text screen.

New Layers - Type new layer names on the command line separated by commas.

New Current - Type a new current layer name on the command line.

Layers Toolbar - Displays the Layers toolbar


Text Menu

This new menu contains all commands for working with text and attributes. The current text style is shown after the style command at the top. New items are:

Multiline Text - Starts mtext command with a picked option, including justification.

Single Line Text - Starts text command with a picked option, including justification.

Use Notepad - Starts Windows Notepad. Multiple lines of text can be copied from Notepad and pasted to the command line during the text command.

List All Styles - Lists all saved text styles and their settings in the text window.

Show Frames - Makes selected qtext frames readable without regenerating the whole drawing. If qtext is on, use View > Regen Objects to restore the text frames.

Text Settings
Default Height - Displays the TEXTSIZE variable, changes default text height.
Text Quality - Displays TEXTQLTY, sets printed TrueType font smoothness in DPI.
Alternate Font - Sets FONTALT for the font to use if a specified font is not available
Qtext Frames - Toggles QTEXTMODE on/off to display text rectangles
Mirror Text - Toggles MIRRTEXT to control text mirroring
Filled Text - Toggles TEXTFILL to display filled TrueType fonts
Mtext Editor - Sets the default mtext editor to Internal or Notepad.

Text Toolbar - Displays the Text toolbar.


Help Menu

PRO Menu Help information is accessed via the existing AutoCAD Help menu, and includes a reference list of the key assignments and mouse buttons. Selecting an item will start the command.

PRO Menu Help - Displays the PRO Menu Help file.
PRO Menu Keys - Lists keys programmed in the Accelerators section of the menu file.
Mouse Buttons - Mouse button assignments.

About PRO Menu - Displays PRO Menu version information.
Order PRO Menu - Goes to the PRO Menu order page to get your copy.
Send Comments - Opens the PRO Menu Feedback Page to send your comments.


Keyboard Macros

Programming keys with frequently-used commands and macros is a big productivity booster. PRO Menu has several keys programmed in the Accelerators section of the menu file. Programmed keys can be linked to a menu item, which permits DIESEL expressions and control characters to be in the key macro. You only need to press the key without pressing Enter afterwards, and most will work transparently. See the AutoCAD Customization Guide for more about modifying key assignments.

PRO Menu Key Assignments

F4 - Groups On/Off
F11 - Oops (undo last erase)
F12 - Repeating erase

Ctrl + D - Distance
Ctrl + F - Show Enhanced osnap menu
Ctrl + 4 - Show Quikflip toolbar menu

Ctrl + Shift + A ... I - Restore View A ... I
Ctrl + Shift + V - Create 9 views A to I
Ctrl + Shift + Z - Popup Toolbox

PRO Key
Only a limited number of keys can be programmed using the menu. To program almost any key combination, we recommend PRO Key. To find out more, click the link to the PRO Key Page.


Troubleshooting

Troubleshooting and Support

PRO Menu has been thoroughly tested and will run reliably with all AutoCAD installations. Situations which could arise are listed below, with the likely cause and the solution.

A smiley face appears where there should be an icon on a toolbar.
This is caused by one or more of the icon BMP files not found. Check that all the BMP files are copied to the PRO Menu folder. Also be sure the PRO Menu folder is listed in the Support File Search Path, set in the Options > Files dialog.

If you change menu files manually, the PRO Menu folder must be added to the Search Path before loading PRO Menu. If the menu is loaded first, it will compile with smiley faces for the PRO Menu icons. Should this happen, use the MENULOAD command and reload the PRO Menu MNU file.

AutoCAD appears to stop running when opening the PRO Menu Help file
Some installations of AutoCAD LT 2002 with Windows 2000 or XP have a problem when starting a HLP help file. After displaying the help, AutoCAD will appear to have stopped running. It is only temporary, so do not use the Task Manager to close AutoCAD. Wait a brief period (not more than 20 seconds) and AutoCAD will resume.

Technical Support

If the above advice does not solve the problem, please do the following before contacting MultiCIM:

  1. Be sure the problem is due to PRO Menu. AutoCAD is not completely bug-free. Change to the standard menu and see if the condition persists.

  2. Briefly describe the problem in writing. Tell us the actions that cause it and how you have tried to solve it, and we will be much further ahead in finding a solution. We will also need to know your AutoCAD version and any other add-ons or programs you are using at the same time as PRO Menu.

After following the above steps, contact MultiCIM by phone, fax or e-mail and we will try to resolve the difficulty. You can also click on "Send Comments" in the Help menu to go directly to our Feedback Page.

MultiCIM Technologies Inc.
640 Bord du Lac, Suite 101
Dorval QC Canada
H9S 2B6

Phone: 514-633-6401
Fax: 514-633-6495
E-mail: support@multicim.com


Ordering PRO Menu

For up-to-date price and ordering information on PRO Menu and PRO Key, click below to go to the PRO Menu Order Page.

PRO Menu Order Page

MultiCIM Technologies Inc.
640 Bord du Lac, Suite 101
Dorval QC Canada
H9S 2B6

Phone: 514-633-6401
Fax: 514-633-6495
E-mail: info@multicim.com

www.multicim.com